Detach an organization
curl --request DELETE \
--url https://charts.basedash.com/api/public/billing-accounts/{billingAccountId}/organizations/{orgId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://charts.basedash.com/api/public/billing-accounts/{billingAccountId}/organizations/{orgId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://charts.basedash.com/api/public/billing-accounts/{billingAccountId}/organizations/{orgId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"billingAccountId": "<string>",
"detached": true
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}{
"error": {
"title": "RateLimitExceeded",
"detail": "<string>",
"retryAfterMs": 123
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}Billing accounts
Detach an organization
Detaches an organization from the billing account. The organization reverts to the FREE plan. Requires admin access to either the account’s owner organization or the organization being detached.
DELETE
/
api
/
public
/
billing-accounts
/
{billingAccountId}
/
organizations
/
{orgId}
Detach an organization
Authorizations
API key authentication using Bearer token format: Bearer <basedash_api_key>
Response
Organization detached successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I